#!/usr/local/bin/ruby
# Delphi Parser - Debug Utility
# author: YOSHIDA Kazuhiro (moriq)
# mailto: moriq@moriq.com

class Deb # Debug Utility

def debputs(*args)
  Kernel.puts(*args)
end

def outputs(*args)
  @out.puts(*args)
end

def initialize
  @err = Kernel.open('err.txt', 'w')
  @out = $>
end

def errputs(*args)
  @err.puts(*args)
  STDERR.puts(*args)
end

def open(path)
  fname = path.tr('/', '_') << '.txt'
  @out = Kernel.open(fname, 'w')
end

def close
  @err.flush
  @out.flush
end

end
